Вопрос когда я пытаюсь установить любую вещь в ubuntu 12.04, я получаю эту ошибку


sudo apt-get install

Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies: libjson0 : Breaks: libjson0:i386 (!= 0.10-1.2ubuntu2) but 0.9-1ubuntu1 is installed libjson0:i386 : Breaks: libjson0 (!= 0.9-1ubuntu1) but 0.10-1.2ubuntu2 is installed
teamviewer : Depends: lib32asound2 but it is not installed
          Depends: lib32z1 but it is not installed
E: Unmet dependencies. Try using -f.

Может ли кто-нибудь помочь мне в этом


1
2018-01-21 06:24


происхождения


вы пытались запустить sudo apt-get -f install как говорится? - c0rp
да я сделал это, но я получаю ошибку как dpkg: обработка ошибок libjson0: i386 (--configure): libjson0: i386 0.9-1ubuntu1 не может быть настроен, потому что libjson0: amd64 находится в другой версии (0.10-1.2ubuntu2) dpkg: обработка ошибок libjson0 (--configure): libjson0: amd64 0.10-1.2ubuntu2 не может быть сконфигурирован, потому что libjson0: i386 находится в другой версии (0.9-1ubuntu1). Ошибки встречались при обработке: libjson0: i386 libjson0 E: Sub-process / usr / bin / dpkg вернул код ошибки (1) - user238169
Прочитай это askubuntu.com/questions/171205/... - c0rp


ответы:


Вы должны удалить конкретный libjson0,libjson0:i386 пакеты без удаления его зависимостей,

sudo dpkg --purge --force-all --force-remove-reinstreq libjson0 libjson0:i386
sudo apt-get -f install

2
2018-01-21 07:13





сэр... вы вводите эти команды

apt-get -f install

если это не работает, попробуйте это

sudo apt-get clean
sudo apt-get remove libjson0:i386
sudo apt-get install libjson0
sudo apt-get install lib32asound2
sudo apt-get install lib32z1

если команда sudo apt-get remove libjson0:i386 не работал, переходите к следующему или установить его с помощью синаптического оператора

* искать в тире    Вот


0
2018-01-21 06:43